ServerEvents.recipes(event => {
//Holy Tools

//Holy Sword
  event.smithing(
    'kubejs:holy_sword',
    'kubejs:holy_smithing_template',
    'minecraft:netherite_sword',
    'kubejs:blessed_alloy_ingot'
  ),
//Holy Axe
  event.smithing(
    'kubejs:holy_axe',
    'kubejs:holy_smithing_template',
    'minecraft:netherite_axe',
    'kubejs:blessed_alloy_ingot'
  ),
//Holy Pickaxe
  event.smithing(
    'kubejs:holy_pickaxe',
    'kubejs:holy_smithing_template',
    'minecraft:netherite_pickaxe',
    'kubejs:blessed_alloy_ingot'
  ),
//Holy Shovel
  event.smithing(
    'kubejs:holy_shovel',
    'kubejs:holy_smithing_template',
    'minecraft:netherite_shovel',
    'kubejs:blessed_alloy_ingot'
  ),
//Holy Hoe
  event.smithing(
    'kubejs:holy_hoe',
    'kubejs:holy_smithing_template',
    'minecraft:netherite_hoe',
    'kubejs:blessed_alloy_ingot'
  ),


//Paper Block
  event.shapeless(
    Item.of('kubejs:paper_block', 1),
    [
      '9x minecraft:paper'
    ]
  ),
    event.shapeless(
    Item.of('minecraft:paper', 9),
    [
      'kubejs:paper_block'
    ]
  ),

//Fix Books
  event.shapeless(
    Item.of('minecraft:book', 1),
    [
        '3x minecraft:paper',
		'#forge:leather'
    ]
  ),
//Sugar Block
  event.shapeless(
    Item.of('kubejs:sugar_block', 1),
    [
      '9x minecraft:sugar'
    ]
  ),
    event.shapeless(
    Item.of('minecraft:sugar', 9),
    [
      'kubejs:sugar_block'
    ]
  ),

//Cookie Block
  event.shapeless(
    Item.of('kubejs:cookie_block', 1),
    [
      '9x minecraft:cookie'
    ]
  ),
  event.shapeless(
    Item.of('minecraft:cookie', 9),
    [
      'kubejs:cookie_block'
    ]
  ),

//Ender Block
  event.shapeless(
    Item.of('kubejs:ender_block', 1),
    [
      '9x minecraft:ender_pearl'
    ]
  ),
  event.shapeless(
    Item.of('minecraft:ender_pearl', 9),
    [
      'kubejs:ender_block'
    ]
  ),

//Genuine Netherite Block
  event.shapeless(
    Item.of('kubejs:genuine_netherite_block', 1),
    [
      '9x minecraft:netherite_ingot'
    ]
  ),
//Netherite Ingot
  event.shapeless(
    Item.of('minecraft:netherite_ingot', 9),
    [
      'kubejs:genuine_netherite_block'
    ]
  ),

//Burnt Paper Block
  event.smelting('kubejs:burnt_paper_block', 'kubejs:paper_block'),

//Charred Nether Bricks
  event.smelting('kubejs:charred_nether_bricks', 'minecraft:nether_bricks'),

//Charred Planks
  event.smelting('kubejs:charred_planks', '#minecraft:planks'),

//Gunpowder from Paper
  event.shapeless(
    Item.of('minecraft:gunpowder', 2),
    [
      'kubejs:burnt_paper_block'
    ]
  ),

//Rooted Dirt
  event.shapeless(
    Item.of('minecraft:rooted_dirt', 1),
    [
      'minecraft:dirt',
      'hexerei:mandrake_root'
    ]
  ),
//Black Stone Bricks
  event.shapeless(
    Item.of('kubejs:black_stone_bricks', 8),
    [
      'minecraft:black_dye',
      '8x minecraft:stone_bricks'
    ]
  ),
//Green Dye
  event.shapeless(
    Item.of('minecraft:green_dye', 2),
    [
      'minecraft:yellow_dye',
      'minecraft:blue_dye'
    ]
  ),
//Brown Dye
  event.shapeless(
    Item.of('minecraft:brown_dye', 3),
    [
      'minecraft:red_dye',
      'minecraft:yellow_dye',
      'minecraft:blue_dye'
    ]
  ),
//Blossom Leaves_blue
  event.shapeless(
    Item.of('kubejs:blue_blossom_leaves', 8),
    [
      '1x bloomingnature:tall_lupine_blue',
	  '8x #minecraft:leaves'
    ]
  ),
//Blossom Leaves_lavender
  event.shapeless(
    Item.of('kubejs:lavender_blossom_leaves', 8),
    [
      '1x bloomingnature:tall_lupine_purple',
	  '8x #minecraft:leaves'
    ]
  ),
//Blossom Leaves_orange1
  event.shapeless(
    Item.of('kubejs:orange_blossom_leaves', 8),
    [
      '1x minecraft:yellow_dye',
	  '8x kubejs:red_blossom_leaves'
    ]
  ),
//Blossom Leaves_orange2
  event.shapeless(
    Item.of('kubejs:orange_blossom_leaves', 8),
    [
      '1x minecraft:red_dye',
	  '8x kubejs:yellow_blossom_leaves'
    ]
  ),
//Blossom Leaves_red
  event.shapeless(
    Item.of('kubejs:red_blossom_leaves', 8),
    [
      '1x minecraft:rose_bush',
	  '8x #minecraft:leaves'
    ]
  ),
//Blossom Leaves_yellow
  event.shapeless(
    Item.of('kubejs:yellow_blossom_leaves', 8),
    [
      '1x minecraft:sunflower',
	  '8x #minecraft:leaves'
    ]
  ),

//Sentry Armor Trim
  event.shaped(
    Item.of('minecraft:sentry_armor_trim_smithing_template', 1),
    [
        'AAA',
        'ABA',
        'AAA'
    ],
    {
        A: 'minecraft:cobblestone',
        B: 'minecraft:diamond'
    }
  ),

//White Eggplant
  event.recipes.create.haunting('culturaldelights:white_eggplant', 'culturaldelights:eggplant'),

//Additional Milling Recipies
  event.recipes.create.milling(['2x minecraft:pink_petals', Item.of('2x minecraft:pink_petals').withChance(0.25), Item.of('minecraft:cherry_leaves').withChance(0.10)], 'minecraft:cherry_leaves'),
//Flower Milling
  event.recipes.create.milling(['3x minecraft:white_dye', Item.of('2x minecraft:white_dye').withChance(0.25), Item.of('2x minecraft:green_dye').withChance(0.05)], 'bloomingnature:tall_mountain_laurel'),
  event.recipes.create.milling(['3x minecraft:purple_dye', Item.of('2x minecraft:purple_dye').withChance(0.25), Item.of('2x minecraft:green_dye').withChance(0.05)], 'bloomingnature:tall_lupine_purple'),
  event.recipes.create.milling(['3x minecraft:blue_dye', Item.of('2x minecraft:blue_dye').withChance(0.25), Item.of('2x minecraft:green_dye').withChance(0.05)], 'bloomingnature:tall_lupine_blue'),

//Spore Blossom
  event.shaped(
    Item.of('minecraft:spore_blossom', 1),
    [
      'AAA',
      'BCB',
      '   '
    ],
    {
      A: 'minecraft:moss_block',
      B: 'minecraft:pink_petals',
      C: 'minecraft:glow_berries'
    }
  ),

//Automated Wax Blend
  event.recipes.create.mixing('hexerei:wax_blend', ['minecraft:glow_berries', '#hexerei:flower_biproduct']),

//Heart of the Sea
  event.shaped(
    Item.of('minecraft:heart_of_the_sea', 1),
    [
      'ABA',
      'BCB',
      'ABA'
    ],
    {
      A: 'minecraft:prismarine',
      B: 'minecraft:sea_lantern',
      C: 'minecraft:nether_star'
    }
  ),

//Sculk Recipes
//Sculk
  event.shaped(
    Item.of('minecraft:sculk', 1),
    [
      'AA ',
      'AA ',
      '   '
    ],
    {
      A: 'minecraft:sculk_vein'
    }
  ),
//Sculk Vein
  event.recipes.create.haunting('minecraft:sculk_vein', 'minecraft:moss_carpet'),
//Sculk Catalyst
  event.shaped(
    Item.of('minecraft:sculk_catalyst', 1),
    [
      'DDD',
      'BCB',
      'AAA'
    ],
    {
      A: 'minecraft:bone_block',
      B: 'minecraft:echo_shard',
      C: 'minecraft:nether_star',
      D: 'minecraft:sculk'
    }
  ),
//Sculk Shrieker
  event.shaped(
    Item.of('minecraft:sculk_shrieker', 1),
    [
      'A A',
      'ABA',
      'CCC'
    ],
    {
      A: 'minecraft:bone',
      B: 'alexsmobs:skreecher_soul',
      C: 'minecraft:sculk'
    }
  ),
//Sculk Sensor
  event.shaped(
    Item.of('minecraft:sculk_sensor', 1),
    [
      'A A',
      'BBB',
      '   '
    ],
    {
      A: 'minecraft:echo_shard',
      B: 'minecraft:sculk'
    }
  ),
//Echo Shard
  event.shaped(
    Item.of('minecraft:echo_shard', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:sculk',
      B: 'minecraft:diamond'
    }
  ),



//End Sculk Recipies


//Whale Oil
//event.recipes.create.mixing(Fluid.of('crusty_chunks:oil', 100), 'untamedwilds:material_blubber').heated();

//Netherite Block
  event.remove({id: 'minecraft:netherite_block'}),
  event.remove({id: 'minecraft:netherite_ingot_from_netherite_block'}),
  event.shaped(
    Item.of('minecraft:netherite_block', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:deepslate'
    }
  ),
  
  //Lamp use Charcoal
    event.shaped(
      Item.of('twigs:lamp', 1),
      [
        'AAA',
        'ABA',
        'ACA'
      ],
      {
        A: 'minecraft:iron_ingot',
        B: 'minecraft:torch',
  	    C: 'minecraft:charcoal'
      }
    ),
//Lantern Block
  event.shaped(
    Item.of('kubejs:lantern_block', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:lantern'
    }
  ),
//Soul Lantern Block
  event.shaped(
    Item.of('kubejs:soul_lantern_block', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:soul_lantern'
    }
  ),
//Redstone Lantern Block
  event.shaped(
    Item.of('kubejs:redstone_lantern_block', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:redstone_block'
    }
  ),
//Amethyst Lantern Block
  event.shaped(
    Item.of('kubejs:amethyst_lantern_block', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:amethyst_block'
    }
  ),
//Honeycomb Bricks
  event.shaped(
    Item.of('kubejs:honeycomb_bricks', 1),
    [
      'AA ',
      'AA ',
      '   '
    ],
    {
      A: 'minecraft:honeycomb_block'
    }
  ),

//Hydrogen Balloon
  event.shaped(
    Item.of('valkyrien_warium:hydrogen_balloon', 1),
    [
      'CAC',
      'ABA',
      'CAC'
    ],
    {
      A: '#minecraft:wool',
      B: 'design_decor:gas_tank',
      C: 'farmersdelight:rope'
    }
  ),

//Better Stock
	//Removing Shitty Stock Recipe
	event.remove({id:'crusty_chunks:rifle_stock_recipe'}),
	//Better Stock Recipe
	event.shaped(
		Item.of('crusty_chunks:rifle_stock', 1),
		[
		'AAA',
		' AA',
		'   '
		],
		{
		A: 'crusty_chunks:wood_component'
		}
	),

//LSO Sponge
  event.shapeless(
    Item.of('legendarysurvivaloverhaul:sponge', 2),
    [
      'minecraft:sponge',
      'minecraft:shears'
    ]
  ),
//First Aid Supplies
  event.shaped(
    Item.of('legendarysurvivaloverhaul:first_aid_supplies', 1),
    [
      ' A ',
      'BCD',
      ' E '
    ],
    {
      A: 'minecraft:enchanted_golden_apple',
      B: 'legendarysurvivaloverhaul:medkit',
      C: 'minecraft:nether_star',
      D: 'legendarysurvivaloverhaul:morphine',
      E: 'legendarysurvivaloverhaul:tonic'
    }
  ),
//Heat Res Ring
  event.shaped(
    Item.of('legendarysurvivaloverhaul:heat_resistance_ring', 1),
    [
      ' A ',
      'BCB',
      ' B '
    ],
    {
      A: 'legendarysurvivaloverhaul:sun_fern_gold_leaf',
      B: 'legendarysurvivaloverhaul:warm_string',
      C: 'irons_spellbooks:fireward_ring'
    }
  ),

  event.shaped(
    Item.of('legendarysurvivaloverhaul:cold_resistance_ring', 1),
    [
      ' A ',
      'BCB',
      ' B '
    ],
    {
      A: 'legendarysurvivaloverhaul:ice_fern_gold_leaf',
      B: 'legendarysurvivaloverhaul:cold_string',
      C: 'irons_spellbooks:frostward_ring'
    }
  )

//Better Sand
  event.remove({id: 'create:milling/gravel'}),
  event.recipes.create.milling('minecraft:sand', 'minecraft:gravel'),

//Alternative Daub Recipe
  event.shaped(
  Item.of('supplementaries:daub', 3),
  [
    'AB ',
    'BA ',
    '   '
  ],
  {
    A: '#forge:grain',
    B: 'minecraft:clay_ball',
  }
),

//Saddle
  event.shaped(
    Item.of('minecraft:saddle', 1),
    [
      '   ',
      ' A ',
      'ABA'
    ],
    {
      A: '#forge:leather',
      B: 'minecraft:iron_ingot'
    }
  ),

//Verdant Froglight, FlyingFrog317, 10/23/25
  event.remove("create_bic_bit:deep_frying/froglightverdant")
  event.custom({
    type:'create_bic_bit:deep_frying',
    heatRequirement:"heated",
    ingredients:[
      {
        item:"minecraft:magma_block"
      },
      {
        amount:250,
        fluid:"create:potion",
        nbt:{Potion:"minecraft:poison"}
      }
    ],
    processingTime:10,
    results:[
      {
        item:"minecraft:verdant_froglight"
      }
    ]
  }),
  //Interact Me
  event.shaped(
    Item.of('create_interactive:interact_me', 1),
    [
      'ABA',
      'BCB',
      'ABA'
    ],
    {
      A: 'minecraft:slime_ball',
      B: 'minecraft:paper',
      C: 'kubejs:blessed_alloy_ingot'
    }
  )
})
